#ifndef CSWORDSETUPINSTALLSOURCESDIALOG_H
#define CSWORDSETUPINSTALLSOURCESDIALOG_H

#include "btinstallmgr.h"
#include <tqdialog.h>

class TQLabel;
class TQComboBox;
class TQLineEdit;

namespace BookshelfManager {

class CSwordSetupInstallSourcesDialog : public TQDialog  {
		TQ_OBJECT
  

public:
		static sword::InstallSource getSource();

protected:
		CSwordSetupInstallSourcesDialog();

protected slots:
		void slotOk();
		void slotProtocolChanged();

private:
		TQLabel    *m_serverLabel;
		TQLineEdit *m_captionEdit, *m_serverEdit, *m_pathEdit;
		TQComboBox *m_protocolCombo;
	};

} //namespace

#endif //CSWORDSETUPINSTALLSOURCESDIALOG_H
